<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/id_sys_bar_view"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginBottom="5dp" />

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:adjustViewBounds="true"
        android:scaleType="fitXY"
        android:src="@drawable/img_search_bg" />

    <LinearLayout
        android:id="@+id/id_ll_search"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/id_sys_bar_view"
        android:layout_marginLeft="6dp"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="10dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/id_img_back_search"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="10dp"
            android:src="@drawable/box_result_detail_back_icon" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="36dp"
            android:background="@drawable/shape_white_r20"
            android:gravity="center_vertical|right"
            android:orientation="horizontal"
            android:paddingLeft="12dp"
            android:paddingRight="2dp">

            <EditText
                android:id="@+id/id_edt_input_value"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@null"
                android:hint="请输入要搜索的商品"
                android:imeOptions="actionSearch"
                android:maxLength="50"
                android:singleLine="true"
                android:textCursorDrawable="@drawable/cursor_color2" />

            <ImageView
                android:id="@+id/id_search_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/icon_sousuo" />

        </LinearLayout>

    </LinearLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/id_ll_search"
        android:background="@drawable/shape_white_r10_half">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <TextView
                android:id="@+id/id_tv_title1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="16dp"
                android:text="历史搜索"
                android:textColor="@color/color_333333"
                android:textSize="18sp"
                android:textStyle="bold" />

            <ImageView
                android:id="@+id/id_img_clean_history"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_margin="8dp"
                android:padding="10dp"
                android:src="@drawable/icon_qingchu_lishi" />

            <com.zxbw.modulemain.view.ZFlowLayout
                android:id="@+id/id_search_history_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/id_tv_title1"
                android:layout_marginLeft="13dp"
                android:layout_marginRight="13dp" />

            <TextView
                android:id="@+id/id_tv_title2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/id_search_history_view"
                android:layout_margin="16dp"
                android:text="热门商品"
                android:textColor="@color/color_333333"
                android:textSize="18sp"
                android:textStyle="bold"
                android:visibility="gone" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/id_rck_goods_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/id_tv_title2"
                android:layout_marginLeft="12dp"
                android:layout_marginRight="12dp"
                android:visibility="gone" />

        </RelativeLayout>

    </androidx.core.widget.NestedScrollView>


</RelativeLayout>